// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		4503D88A1E38C26100FAA10F /* right.png in Resources */ = {isa = PBXBuildFile; fileRef = 4503D8881E38C26100FAA10F /* right.png */; };
		4503D88B1E38C26100FAA10F /* left.png in Resources */ = {isa = PBXBuildFile; fileRef = 4503D8891E38C26100FAA10F /* left.png */; };
		4559B11A1DE4F18B000F4E09 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4559B1191DE4F18B000F4E09 /* AppDelegate.swift */; };
		4559B11C1DE4F18B000F4E09 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4559B11B1DE4F18B000F4E09 /* ViewController.swift */; };
		4559B11F1DE4F18B000F4E09 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4559B11D1DE4F18B000F4E09 /* Main.storyboard */; };
		4559B1211DE4F18B000F4E09 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 4559B1201DE4F18B000F4E09 /* Assets.xcassets */; };
		4559B1241DE4F18B000F4E09 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4559B1221DE4F18B000F4E09 /* LaunchScreen.storyboard */; };
		4559B12C1DE4F1A1000F4E09 /* opencv2.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 4559B12B1DE4F1A1000F4E09 /* opencv2.framework */; };
		4559B1301DE4F5F3000F4E09 /* openCVW.mm in Sources */ = {isa = PBXBuildFile; fileRef = 4559B12F1DE4F5F3000F4E09 /* openCVW.mm */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		4503D8881E38C26100FAA10F /* right.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = right.png; sourceTree = "<group>"; };
		4503D8891E38C26100FAA10F /* left.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = left.png; sourceTree = "<group>"; };
		453982601E2FD5D90053783A /* algo.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = algo.h; sourceTree = "<group>"; };
		453982611E2FD5D90053783A /* blob_gen.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = blob_gen.h; sourceTree = "<group>"; };
		453982621E2FD5D90053783A /* canny_impl.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = canny_impl.h; sourceTree = "<group>"; };
		453982631E2FD5D90053783A /* filter_edges.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = filter_edges.h; sourceTree = "<group>"; };
		453982641E2FD5D90053783A /* find_best_edge.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = find_best_edge.h; sourceTree = "<group>"; };
		4559B1161DE4F18B000F4E09 /* iTracker.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = iTracker.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4559B1191DE4F18B000F4E09 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		4559B11B1DE4F18B000F4E09 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		4559B11E1DE4F18B000F4E09 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		4559B1201DE4F18B000F4E09 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		4559B1231DE4F18B000F4E09 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		4559B1251DE4F18B000F4E09 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		4559B12B1DE4F1A1000F4E09 /* opencv2.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = opencv2.framework; sourceTree = "<group>"; };
		4559B12D1DE4F5F3000F4E09 /* iTracker-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "iTracker-Bridging-Header.h"; sourceTree = "<group>"; };
		4559B12E1DE4F5F3000F4E09 /* openCVW.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = openCVW.h; sourceTree = "<group>"; };
		4559B12F1DE4F5F3000F4E09 /* openCVW.mm */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.objcpp; path = openCVW.mm; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		4559B1131DE4F18B000F4E09 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4559B12C1DE4F1A1000F4E09 /* opencv2.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		453982551E2FD4A20053783A /* Else */ = {
			isa = PBXGroup;
			children = (
				453982601E2FD5D90053783A /* algo.h */,
				453982611E2FD5D90053783A /* blob_gen.h */,
				453982621E2FD5D90053783A /* canny_impl.h */,
				453982631E2FD5D90053783A /* filter_edges.h */,
				453982641E2FD5D90053783A /* find_best_edge.h */,
			);
			name = Else;
			sourceTree = "<group>";
		};
		4559B10D1DE4F18B000F4E09 = {
			isa = PBXGroup;
			children = (
				4559B1181DE4F18B000F4E09 /* iTracker */,
				4559B1171DE4F18B000F4E09 /* Products */,
				4503D8881E38C26100FAA10F /* right.png */,
				4503D8891E38C26100FAA10F /* left.png */,
			);
			sourceTree = "<group>";
		};
		4559B1171DE4F18B000F4E09 /* Products */ = {
			isa = PBXGroup;
			children = (
				4559B1161DE4F18B000F4E09 /* iTracker.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		4559B1181DE4F18B000F4E09 /* iTracker */ = {
			isa = PBXGroup;
			children = (
				4559B12B1DE4F1A1000F4E09 /* opencv2.framework */,
				4559B1191DE4F18B000F4E09 /* AppDelegate.swift */,
				4559B11B1DE4F18B000F4E09 /* ViewController.swift */,
				4559B11D1DE4F18B000F4E09 /* Main.storyboard */,
				4559B1201DE4F18B000F4E09 /* Assets.xcassets */,
				4559B1221DE4F18B000F4E09 /* LaunchScreen.storyboard */,
				4559B1251DE4F18B000F4E09 /* Info.plist */,
				4559B12F1DE4F5F3000F4E09 /* openCVW.mm */,
				4559B12E1DE4F5F3000F4E09 /* openCVW.h */,
				4559B12D1DE4F5F3000F4E09 /* iTracker-Bridging-Header.h */,
				453982551E2FD4A20053783A /* Else */,
			);
			path = iTracker;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		4559B1151DE4F18B000F4E09 /* iTracker */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 4559B1281DE4F18B000F4E09 /* Build configuration list for PBXNativeTarget "iTracker" */;
			buildPhases = (
				4559B1121DE4F18B000F4E09 /* Sources */,
				4559B1131DE4F18B000F4E09 /* Frameworks */,
				4559B1141DE4F18B000F4E09 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = iTracker;
			productName = iTracker;
			productReference = 4559B1161DE4F18B000F4E09 /* iTracker.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		4559B10E1DE4F18B000F4E09 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0810;
				LastUpgradeCheck = 0810;
				ORGANIZATIONNAME = "Alireza K";
				TargetAttributes = {
					4559B1151DE4F18B000F4E09 = {
						CreatedOnToolsVersion = 8.1;
						DevelopmentTeam = 2VZS5C3SLW;
						LastSwiftMigration = 0810;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 4559B1111DE4F18B000F4E09 /* Build configuration list for PBXProject "iTracker" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 4559B10D1DE4F18B000F4E09;
			productRefGroup = 4559B1171DE4F18B000F4E09 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				4559B1151DE4F18B000F4E09 /* iTracker */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		4559B1141DE4F18B000F4E09 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4559B1241DE4F18B000F4E09 /* LaunchScreen.storyboard in Resources */,
				4503D88B1E38C26100FAA10F /* left.png in Resources */,
				4559B1211DE4F18B000F4E09 /* Assets.xcassets in Resources */,
				4503D88A1E38C26100FAA10F /* right.png in Resources */,
				4559B11F1DE4F18B000F4E09 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		4559B1121DE4F18B000F4E09 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4559B11C1DE4F18B000F4E09 /* ViewController.swift in Sources */,
				4559B1301DE4F5F3000F4E09 /* openCVW.mm in Sources */,
				4559B11A1DE4F18B000F4E09 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		4559B11D1DE4F18B000F4E09 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4559B11E1DE4F18B000F4E09 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		4559B1221DE4F18B000F4E09 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4559B1231DE4F18B000F4E09 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		4559B1261DE4F18B000F4E09 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVES = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.1;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		4559B1271DE4F18B000F4E09 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVES = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		4559B1291DE4F18B000F4E09 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				DEVELOPMENT_TEAM = 2VZS5C3SLW;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/iTracker",
				);
				INFOPLIST_FILE = iTracker/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = me.alirezak.iTracker;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OBJC_BRIDGING_HEADER = "iTracker/iTracker-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 3.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		4559B12A1DE4F18B000F4E09 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				DEVELOPMENT_TEAM = 2VZS5C3SLW;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/iTracker",
				);
				INFOPLIST_FILE = iTracker/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = me.alirezak.iTracker;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OBJC_BRIDGING_HEADER = "iTracker/iTracker-Bridging-Header.h";
				SWIFT_VERSION = 3.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		4559B1111DE4F18B000F4E09 /* Build configuration list for PBXProject "iTracker" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4559B1261DE4F18B000F4E09 /* Debug */,
				4559B1271DE4F18B000F4E09 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		4559B1281DE4F18B000F4E09 /* Build configuration list for PBXNativeTarget "iTracker" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4559B1291DE4F18B000F4E09 /* Debug */,
				4559B12A1DE4F18B000F4E09 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 4559B10E1DE4F18B000F4E09 /* Project object */;
}
